#include <psychlops.h>
using namespace Psychlops;

Psychlops::Rectangle rect1,rect2,rect3;

void psychlops_main() {

	Canvas sampleA(Canvas::fullscreen);
	rect1.set(200,100);
	rect2.set(rect1);
	rect3.set(rect1);
	rect2.centering();
	rect3.centering().shift(200,200);
	sampleA.rect(rect1,Color::white);
	sampleA.rect(rect2,Color::white);
	sampleA.rect(rect3,Color::white);
	sampleA.flip();
	while(!Input::get(Keyboard::spc));
}